> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/auth > Update Identity Provider configuration (certificates, endpoints, etc.). ## OpenAPI ````json PATCH /v1/auth { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/auth": { "patch": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1AuthPatchRequest" } } } }, "responses": { "204": { "description": "No Content" } }, "description": "Update Identity Provider configuration (certificates, endpoints, etc.)." } } }, "components": { "schemas": { "v1AuthPatchRequest": { "type": "object", "properties": { "cert": { "type": "string", "example": "example string", "description": " (required)" }, "entryPoint": { "type": "string", "example": "example string", "description": " (required)" }, "iamType": { "type": "string", "example": "ENUM_VALUE", "description": " (required)" }, "issuer": { "type": "string", "example": "example string", "description": " (required)" } }, "additionalProperties": false, "required": [ "cert", "entryPoint", "iamType", "issuer" ] } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````